import { AssetSwap } from '../state';
export declare const tokenStandards: string[];
export declare const addressList: string[];
export declare const collections: {
    bored_ape_yacht_club: {
        name: string;
        symbol: string;
    };
    clone_x: {
        name: string;
        symbol: string;
    };
    doodles: {
        name: string;
        symbol: string;
    };
    mutant_ape_yacht_club: {
        name: string;
        symbol: string;
    };
};
export declare const NFTAssetsMock: any[];
export declare const userChats: {
    id: number;
    userName: string;
    userNickname: string;
    userStatus: string;
    userPhoto: string;
    messages: {
        id: number;
        from: string;
        text: string;
        time: string;
        read: string;
    }[];
}[];
export interface userTokensListItemType {
    id: string;
    token: string;
    balance: string;
    logo: string;
}
export declare const userTokensList: {
    id: string;
    token: string;
    balance: string;
    logo: string;
}[];
export declare const recentActivity: ({
    id: number;
    typeOfActivity: string;
    createdAt: number;
    updatedAt: number;
    expiredAt: number;
    chat?: undefined;
    to?: undefined;
    amount?: undefined;
} | {
    id: number;
    typeOfActivity: string;
    chat: {
        id: number;
        userName: string;
        userNickname: string;
        userStatus: string;
        userPhoto: string;
        messages: {
            id: number;
            from: string;
            text: string;
            time: string;
            read: string;
        }[];
    };
    createdAt: number;
    updatedAt: number;
    expiredAt: number;
    to?: undefined;
    amount?: undefined;
} | {
    id: number;
    typeOfActivity: string;
    to: string;
    amount: string;
    createdAt: number;
    updatedAt: number;
    expiredAt: number;
    chat?: undefined;
})[];
export interface tokensListItemType {
    id: string;
    token: string;
    wallet: string;
    total: string;
    name: string;
    logo: string;
}
export declare const tokensList: {
    id: string;
    token: string;
    wallet: string;
    total: string;
    name: string;
    logo: string;
}[];
export declare const assetsExplorerList: {
    id: number;
    image: string;
    displayName: string;
    balance: string;
}[];
export declare const tradeRequestsList: {
    id: number;
    image: string;
    address: string;
    selling: string;
    buying: string;
    createdAt: number;
    updatedAt: number;
    expiredAt: number;
}[];
export declare const transactionsMocks: {
    id: number;
    avatar: string;
    address: string;
    payAmount: number;
    payToken: import("..").Token;
    receiveAmount: number;
    receiveToken: import("..").Token;
    createdAt: number;
    updatedAt: number;
    expiredAt: number;
    status: string;
}[];
export declare const StableCoinMock: any;
export declare const recentTransactionsList: {
    id: number;
    image: string;
    address: string;
    from: string;
    to: string;
    createdAt: number;
    updatedAt: number;
    expiredAt: number;
}[];
export declare const NFTTradesListMock: AssetSwap[];
