import { Interface } from '@ethersproject/abi';
import { Token } from '../interfaces';
export declare type AddressMap = {
    [chainId: number]: string;
};
export interface WalletInfo {
    name: string;
    iconName: string;
    href: string | null;
}
/**  */
export declare const RPC_CONNECTION = "";
export declare const ERC20_INTERFACE: Interface;
declare const ERC20_BYTES32_INTERFACE: Interface;
export { ERC20_BYTES32_INTERFACE };
export declare const ZERO_ADDRESS = "0x0000000000000000000000000000000000000000";
export declare const NetworkContextName = "NETWORK";
export declare const TOKEN_BALANCE_ABI: any;
export declare const POLL_OPTIONS: any;
export declare const SUPPORTED_WALLETS: {
    [key: string]: WalletInfo;
};
export declare const connectorsByName: {
    [key: string]: any;
};
export declare const COINGECKO_LIST = "https://tokens.coingecko.com/uniswap/all.json";
export declare const LIST_OF_ETH_TOKENS_LISTS: string[];
export declare const LIST_OF_BSC_TOKENS_LISTS: string[];
export declare const LIST_OF_AVAX_TOKENS_LISTS: string[];
export declare const TOKENS_LIST: {
    [key: number]: Token[];
};
export declare const DEFAULT_STABLE_TOKEN: {
    [key: number]: Token;
};
export declare const MULTICALL_NETWORKS: {
    [chainId: number]: string;
};
export declare const MAX_ACCEPTED_TOKENS = 3;
export declare const GAS_CHAINS: {
    [chainId: number]: number;
};
export declare const TOKEN_PALETTE: {
    [chainId: number]: string;
};
export declare const NFT_MANAGER_ADDRESS: AddressMap;
export declare const PUBLIC_TRADE_ADDRESS: AddressMap;
export declare const P2P_TRADE_ADDRESS: AddressMap;
export declare const DEXPOOLS_VAULT_ADDRESS: AddressMap;
export declare const TOKENFARM_ADDRESS: AddressMap;
export declare const DXP_ADDRESS: AddressMap;
export declare const VELA_ADDRESS: AddressMap;
export declare const LPTOKEN_ADDRESS: AddressMap;
export declare const LPTOKENFARM_ADDRESS: AddressMap;
export declare const COLLATERAL_TOKENS: {
    [chainId: number]: string[];
};
export declare const INDEX_TOKENS: {
    [chainId: number]: string[];
};
export declare const SUPPORTED_DATA_FEEDS: {
    [chainId: number]: string[];
};
export declare const DATA_FEEDS_FOR_LIQUIDATE: {
    [chainId: number]: string[];
};
export declare const VESTED_VELA_TOKEN: AddressMap;
export declare const VESTED_DXP_TOKEN: AddressMap;
export declare const MASTER_DXP_TOKEN: AddressMap;
export declare const MASTER_VELA_TOKEN: AddressMap;
export declare const ALLOWED_SLIPPAGE: {
    [chainId: number]: {
        [address: string]: number;
    };
};
export declare const DISPLAY_DECIMALS: {
    [chainId: number]: {
        [address: string]: number;
    };
};
