interface PlatformInfo {
    /**
     * The asset platform used for obtaining contract information.
     */
    coinGeckoChainId: string;
    /**
     * CoinGecko name/id for the native token on this platform.
     */
    nativeTokenId: string;
    /**
     * Indicates that this coin platform is on-boarded in CoinGecko.
     */
    enabled: boolean;
}
/**
 * An array containing information needed for accessing CoinGecko on the supported/unsupported chains.
 * @param {ChainId} chainId number representing the chain
 */
export declare const COINGECKO_PLATFORMS: {
    [chainId: number]: PlatformInfo;
};
export {};
